RDKit: Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing ==: arguments must match a particular value (within an optional tolerance) More...

`#include <EqualityQuery.h>`

Inheritance diagram for Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

## Public Member Functions
| EqualityQuery ()
| EqualityQuery (MatchFuncArgType v)
| constructs with our target value More...
| EqualityQuery (MatchFuncArgType v, MatchFuncArgType t)
| constructs with our target value and a tolerance More...
void | setVal (MatchFuncArgType what)
| sets our target value More...
const MatchFuncArgType | getVal () const
| returns our target value More...
void | setTol (MatchFuncArgType what)
| sets our tolerance More...
const MatchFuncArgType | getTol () const
| returns out tolerance More...
virtual bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument More...
virtual Query< MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query More...
std::string | getFullDescription () const
| returns a fuller text description More...
Public Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated More...
bool | getNegation () const
| returns whether or not we are negated More...
void | setDescription (const std::string &descr)
| sets our text description More...
void | setDescription (const char *descr)
const std::string & | getDescription () const
| returns our text description More...
void | setMatchFunc (bool(*what)(MatchFuncArgType))
| sets our match function More...
void | setDataFunc (MatchFuncArgType(*what)(DataFuncArgType))
| sets our data function More...
void | addChild (CHILD_TYPE child)
| adds a child to our list of children More...
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector More...
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector More...

## Protected Attributes
MatchFuncArgType | d_val
MatchFuncArgType | d_tol
Protected Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
std::string | d_description
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(MatchFuncArgType)
MatchFuncArgType(* | d_dataFunc )(DataFuncArgType)

## Additional Inherited Members
Public Types inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
typedef boost::shared_ptr< Query< MatchFuncArgType, DataFuncArgType, needsConversion > > | CHILD_TYPE
typedef std::vector< CHILD_TYPE > | CHILD_VECT
typedef CHILD_VECT::iterator | CHILD_VECT_I
typedef CHILD_VECT::const_iterator | CHILD_VECT_CI
Public Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
bool(*)(MatchFuncArgType) | getMatchFunc () const
| returns our match function: More...
MatchFuncArgType(*)(DataFuncArgType) | getDataFunc () const
| returns our data function: More...
Protected Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
MatchFuncArgType | TypeConvert (MatchFuncArgType what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what` More...
MatchFuncArgType | TypeConvert (DataFuncArgType what, Int2Type< true >) const
| calls our `dataFunc` (which must be set) on `what` and returns the More...

## Detailed Description

### template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing ==: arguments must match a particular value (within an optional tolerance)

Definition at line 22 of file EqualityQuery.h.

## Constructor & Destructor Documentation

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( |  | ) |
| inline

Definition at line 25 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( | MatchFuncArgType | v | ) |
| inlineexplicit

constructs with our target value

Definition at line 28 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( | MatchFuncArgType | v,
|  | MatchFuncArgType | t
| ) |  |
| inline

constructs with our target value and a tolerance

Definition at line 33 of file EqualityQuery.h.

## Member Function Documentation

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

virtual Query<MatchFuncArgType, DataFuncArgType, needsConversion>* Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const
| inlinevirtual

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Reimplemented in RDKit::HasPropWithValueQuery< TargetPtr, std::string >, RDKit::HasPropWithValueQuery< TargetPtr, T >, RDKit::HasPropQuery< TargetPtr >, RDKit::AtomRingQuery, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, and Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 65 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

std::string Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription | ( |  | ) | const
| inlinevirtual

returns a fuller text description

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Reimplemented in Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, and Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 77 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getTol | ( |  | ) | const
| inline

returns out tolerance

Definition at line 45 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getVal | ( |  | ) | const
| inline

returns our target value

Definition at line 40 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

virtual bool Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const
| inlinevirtual

returns whether or not we match the argument

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Reimplemented in RDKit::HasPropWithValueQuery< TargetPtr, std::string >, RDKit::HasPropWithValueQuery< TargetPtr, T >, RDKit::HasPropQuery< TargetPtr >, Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, and Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 47 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol | ( | MatchFuncArgType | what | ) |
| inline

sets our tolerance

Definition at line 43 of file EqualityQuery.h.

Referenced by Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::EqualityQuery< int, TargetPtr, true >::copy(), and RDKit::AtomRingQuery::copy().

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setVal | ( | MatchFuncArgType | what | ) |
| inline

sets our target value

Definition at line 38 of file EqualityQuery.h.

Referenced by Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), and Queries::EqualityQuery< int, TargetPtr, true >::copy().

## Member Data Documentation

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol
| protected

Definition at line 91 of file EqualityQuery.h.

Referenced by Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::EqualityQuery< int, TargetPtr, true >::copy(), Queries::EqualityQuery< int, TargetPtr, true >::getTol(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessEqualQuery(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessQuery(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::EqualityQuery< int, TargetPtr, true >::Match(), and Queries::EqualityQuery< int, TargetPtr, true >::setTol().

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val
| protected

Definition at line 90 of file EqualityQuery.h.

Referenced by Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::EqualityQuery< int, TargetPtr, true >::copy(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), Queries::EqualityQuery< int, TargetPtr, true >::getFullDescription(), Queries::EqualityQuery< int, TargetPtr, true >::getVal(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessEqualQuery(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessQuery(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::EqualityQuery< int, TargetPtr, true >::Match(), and Queries::EqualityQuery< int, TargetPtr, true >::setVal().

The documentation for this class was generated from the following file:

- EqualityQuery.h